Bug 1011927 (CVE-2013-4387) - CVE-2013-4387 Kernel: net: IPv6: panic when UFO=On for an interface
Summary: CVE-2013-4387 Kernel: net: IPv6: panic when UFO=On for an interface
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4387
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1011930 1011931 1011932 1011933 1015166 1061110
Blocks: 1009905
TreeView+ depends on / blocked
 
Reported: 2013-09-25 12:05 UTC by Prasad J Pandit
Modified: 2019-09-29 13:08 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-20 13:06:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1490 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-10-31 20:23:39 UTC
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 22:04:18 UTC
Red Hat Product Errata RHSA-2014:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-11 21:07:13 UTC

Description Prasad J Pandit 2013-09-25 12:05:55 UTC
Linux kernel built with the IPv6 protocol(CONFIG_IPV6) support and an Ethernet
driver(ex. virtio-net) which has a UDP Fragmentation Offload(UFO) feature ON
is vulnerable to inadvertent memory corruptions and NULL pointer dereference 
flaw. It could occur while sending a large messages over an IPv6 connection. 
Though the crash occurs while sending messages, it could be triggered through a 
remote client by requesting larger data from a server.

A remote user user could use this flaw to crash the kernel, resulting in DoS. Despite the random nature of the memory corruptions, potential privilege escalation cannot be ruled out.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/2811ebac2521ceac84f2bdae402455baa6a7fb47

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/09/29/1

Comment 1 Prasad J Pandit 2013-09-25 12:11:03 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this issue.

Comment 6 Prasad J Pandit 2013-10-03 14:39:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1015166]

Comment 8 Fedora Update System 2013-10-10 00:55:49 UTC
kernel-3.10.14-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-10-13 19:56:56 UTC
kernel-3.11.4-301.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-10-14 07:11:45 UTC
kernel-3.11.4-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-10-14 17:18:37 UTC
kernel-3.11.4-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-10-18 19:32:27 UTC
kernel-3.11.4-101.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2013-10-31 16:32:43 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html

Comment 14 errata-xmlrpc 2013-11-21 20:24:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html

Comment 16 errata-xmlrpc 2014-03-11 17:07:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0284 https://rhn.redhat.com/errata/RHSA-2014-0284.html


Note You need to log in before you can comment on or make changes to this bug.